slackbuilds_ponce/network/dnsflood/dnsflood.SlackBuild
2010-05-11 22:54:43 +02:00

95 lines
2.3 KiB
Bash

#!/bin/sh
# Slackware build script for DNS Flood Detector
# Written by Menno E. Duursma <druiloor@zonnet.nl>
# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
# and/or modify it under the terms of the Do What The Fuck You Want
# To Public License, Version 2, as published by Sam Hocevar. See
# http://sam.zoy.org/wtfpl/COPYING for more details.
PRGNAM=dnsflood
VERSION=${VERSION:-1.12}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
NAME=dns_flood_detector # program name
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION $NAME
tar xvf $CWD/$PRGNAM-$VERSION.tgz
cd $NAME
chown -R root:root .
find . -type d | xargs chmod 0755
find . -type f | xargs chmod go-w,a-s
# Create destdirs
mkdir -p $PKG/etc/rc.d
mkdir -p $PKG/usr/sbin
mkdir -p $PKG/usr/man/man1
# Use the Linux Makefile
./configure.pl Linux
# Fix installation location, set CFLAGS
sed -i -e "s#/usr/local/sbin/#$PKG/usr/sbin#g" \
-e "s/^\(CFLAGS=\).*/\1 -Wall $SLKCFLAGS -D_BSD_SOURCE/" \
Makefile
make
make install
# Include the manpage
cat $CWD/dns_flood_detector.1 \
| gzip -9c \
> $PKG/usr/man/man1/dns_flood_detector.1.gz
# Add some sysmlinks, probably expected to exist to some users
( cd $PKG/usr/sbin || exit 1
ln -vsf $NAME $PRGNAM
)
( cd $PKG/usr/man/man1 || exit 1
ln -vsf $NAME.1.gz $PRGNAM.1.gz
)
# Add a daemon control script
cat $CWD/rc.$PRGNAM > $PKG/etc/rc.d/rc.$PRGNAM.new
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [A-Z][A-Z]* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
# Clean up the extra stuff:
if [ "$1" = "--cleanup" ]; then
rm -rf $TMP/$PRGNAM-$VERSION
rm -rf $PKG
fi